Subject: Re: bug#9723: 24.0.50; Emacs Clipboard crash

From: martin rudalics <[email-masked]>
Date: Thu, 02 Feb 2012 12:08:34 +0100

> According to this, Emacs decided to apply a change in window
 > dimensions that was pending from some previous redisplay cycle.  So
 > far so good, but look at the new size of the window it tries to set:
 > its newwidth value is -2, a negative number.  This should never
 > happen.  (The value -2 is "upgraded" to +2, the minimum "safe" value,
 > inside change_frame_size, but 2 is also too small.)

The upgrading happens in check_frame_size and 2 is the minimum width
sufficient for the frame's root window.  Why do you think it's too
small?

 > The question is now which code requested the change of window width to
 > -2, and why.

If you know what the minimum "safe" value is, why not use that?

martin